%define	upstream_name    DateTime-Locale
%define upstream_version 1.01

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1
Epoch:		2

Summary:	Localization support for DateTime
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Carp)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::Fatal)
BuildRequires:	perl(Dist::CheckConflicts) >= 0.20.0
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(List::MoreUtils)
BuildRequires:	perl(Params::Validate)
BuildRequires:	perl(Storable)
BuildRequires:	perl(Test::More) >= 0.960.0
BuildRequires:	perl(base)
BuildRequires:	perl(strict)
BuildRequires:	perl(utf8)
BuildRequires:	perl(warnings)
BuildRequires:	perl-devel
BuildArch:	noarch

%description
The DateTime::Locale perl module is primarily a factory for the various locale
subclasses used by DateTime. It also provides some functions for getting
information on available locales.

If you want to know what methods are available for locale objects, then please
read the DateTime::Locale::Base documentation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor destdir=%{buildroot}
%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/DateTime
%{_mandir}/*/*

%changelog

* Wed Dec 30 2015 dsilakov <denis.silakov@rosalab.ru> 2:1.10.0-1
- (d52fb03) Merge pull request #1 from import/perl-DateTime-Locale:auto_update
- (d52fb03) Updated to 1.01 (by updates_builder)


